export { toAnsible, toAnsibleWarn } from "./generators/ansible.js";
export { toC, toCWarn } from "./generators/c.js";
export { toCFML, toCFMLWarn } from "./generators/cfml.js";
export { toClojure, toClojureWarn } from "./generators/clojure.js";
export { toCSharp, toCSharpWarn } from "./generators/csharp.js";
export { toDart, toDartWarn } from "./generators/dart.js";
export { toElixir, toElixirWarn } from "./generators/elixir.js";
export { toGo, toGoWarn } from "./generators/go.js";
export { toHarString, toHarStringWarn } from "./generators/har.js";
export { toHTTP, toHTTPWarn } from "./generators/http.js";
export { toHttpie, toHttpieWarn } from "./generators/httpie.js";
export { toJava, toJavaWarn } from "./generators/java/java.js";
export {
  toJavaHttpUrlConnection,
  toJavaHttpUrlConnectionWarn,
} from "./generators/java/httpurlconnection.js";
export { toJavaJsoup, toJavaJsoupWarn } from "./generators/java/jsoup.js";
export { toJavaOkHttp, toJavaOkHttpWarn } from "./generators/java/okhttp.js";
export {
  toJavaScript,
  toJavaScriptWarn,
} from "./generators/javascript/javascript.js";
export {
  toJavaScriptJquery,
  toJavaScriptJqueryWarn,
} from "./generators/javascript/jquery.js";
export {
  toJavaScriptXHR,
  toJavaScriptXHRWarn,
} from "./generators/javascript/xhr.js";
export { toJsonString, toJsonStringWarn } from "./generators/json.js";
export { toJulia, toJuliaWarn } from "./generators/julia.js";
export { toKotlin, toKotlinWarn } from "./generators/kotlin.js";
export { toLua, toLuaWarn } from "./generators/lua.js";
export { toMATLAB, toMATLABWarn } from "./generators/matlab/matlab.js";
export { toNode, toNodeWarn } from "./generators/javascript/javascript.js";
export { toNodeAxios, toNodeAxiosWarn } from "./generators/javascript/axios.js";
export { toNodeGot, toNodeGotWarn } from "./generators/javascript/got.js";
export { toNodeHttp, toNodeHttpWarn } from "./generators/javascript/http.js";
export { toNodeKy, toNodeKyWarn } from "./generators/javascript/ky.js";
export {
  toNodeSuperAgent,
  toNodeSuperAgentWarn,
} from "./generators/javascript/superagent.js";
export {
  toNodeRequest,
  toNodeRequestWarn,
} from "./generators/javascript/request.js";
export { toObjectiveC, toObjectiveCWarn } from "./generators/objectivec.js";
export { toOCaml, toOCamlWarn } from "./generators/ocaml.js";
export { toPerl, toPerlWarn } from "./generators/perl.js";
export { toPhp, toPhpWarn } from "./generators/php/php.js";
export { toPhpGuzzle, toPhpGuzzleWarn } from "./generators/php/guzzle.js";
export { toPhpRequests, toPhpRequestsWarn } from "./generators/php/requests.js";
export {
  toPowershellRestMethod,
  toPowershellRestMethodWarn,
} from "./generators/powershell.js";
export {
  toPowershellWebRequest,
  toPowershellWebRequestWarn,
} from "./generators/powershell.js";
export { toPython, toPythonWarn } from "./generators/python/python.js";
export { toPythonHttp, toPythonHttpWarn } from "./generators/python/http.js";
export { toR, toRWarn } from "./generators/r/httr.js";
export { toRHttr2, toRHttr2Warn } from "./generators/r/httr2.js";
export { toRuby, toRubyWarn } from "./generators/ruby/ruby.js";
export {
  toRubyHttparty,
  toRubyHttpartyWarn,
} from "./generators/ruby/httparty.js";
export { toRust, toRustWarn } from "./generators/rust.js";
export { toSwift, toSwiftWarn } from "./generators/swift.js";
export { toWget, toWgetWarn } from "./generators/wget.js";

// backwards compatibility aliases
export { toJavaScript as toBrowser } from "./generators/javascript/javascript.js";
export { toNode as toNodeFetch } from "./generators/javascript/javascript.js";
export { toJavaScriptWarn as toBrowserWarn } from "./generators/javascript/javascript.js";
export { toNodeWarn as toNodeFetchWarn } from "./generators/javascript/javascript.js";

export { CCError } from "./utils.js";
export type { Warnings } from "./Warnings.js";
